ci: use the python3.7 docker image which contains git

It is needed to be able to clone the pytest-capture-deprecatedwarnings
package.
2 jobs for topic/default/pytest_deprecated in 5 minutes and 10 seconds (queued for 8 seconds)